shared_examples_for "a freeformable" do
  describe "#other?" do
    context "when label is 'Other'" do
      subject { described_class.new(label: "Other") }

      it { is_expected.to be_other }
    end

    context "when label is not 'Other'" do
      subject { described_class.new(label: "Not Other") }

      it { is_expected.not_to be_other }
    end
  end
end
